using System;

/// <summary>
/// T_ConsultativeRestore 的摘要说明
/// </summary>
namespace Consultative
{
    public class TConsultativeRestore
    {
        public TConsultativeRestore()
        {
            //
            // TODO: 在此处添加构造函数逻辑
            //
        }

        #region Model

        private int _id;
        private int _consultativeid;
        private string _username;
        private DateTime _adddate;
        private string _detail;
        private bool _shield;
        private string _ip;

        /// <summary>
        /// ID
        /// </summary>
        public int ID
        {
            get
            {
                return _id;
            }
            set
            {
                _id = value;
            }
        }

        /// <summary>
        /// 咨询ID
        /// </summary>
        public int ConsultativeID
        {
            get
            {
                return _consultativeid;
            }
            set
            {
                _consultativeid = value;
            }
        }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName
        {
            get
            {
                return _username;
            }
            set
            {
                _username = value;
            }
        }

        /// <summary>
        /// 发布时间
        /// </summary>
        public DateTime AddDate
        {
            get
            {
                return _adddate;
            }
            set
            {
                _adddate = value;
            }
        }

        /// <summary>
        /// 信息
        /// </summary>
        public string Detail
        {
            get
            {
                return _detail;
            }
            set
            {
                _detail = value;
            }
        }

        /// <summary>
        /// 屏蔽留言
        /// </summary>
        public bool Shield
        {
            get
            {
                return _shield;
            }
            set
            {
                _shield = value;
            }
        }
        /// <summary>
        /// 评论人IP
        /// </summary>
        public string IP
        {
            set
            {
                _ip = value;
            }
            get
            {
                return _ip;
            }
        }
        #endregion Model
    }
}
